Get cluster info and member hashes for a representative protein
curl --request GET \
--url https://biohub.ai/esm/protein/api/v1alpha1/clusters/{protein_hash}import requests
url = "https://biohub.ai/esm/protein/api/v1alpha1/clusters/{protein_hash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://biohub.ai/esm/protein/api/v1alpha1/clusters/{protein_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"protein_hash": "<string>",
"cluster_size": 123,
"cluster_pct_characterized": 123,
"cluster_mean_domain_coverage": 123,
"member_protein_hashes": [
"<string>"
],
"protein_name": "<string>",
"source": "<string>",
"accession": "<string>",
"cluster_top_pfam_domains": {},
"cluster_representative_features": [],
"cluster_taxonomy_info": {
"rank": "<string>",
"name": "<string>"
},
"top_phyla": {},
"mean_plddt": 123,
"ptm": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ESM Atlas
Get cluster info and member hashes for a representative protein
Look up cluster metadata and member protein hashes for a cluster representative protein identified by its MD5 hash.
GET
/
esm
/
protein
/
api
/
v1alpha1
/
clusters
/
{protein_hash}
Get cluster info and member hashes for a representative protein
Path Parameters
Pattern:
^[0-9a-f]{32}$Query Parameters
Required range:
1 <= x <= 100Response
Successful Response
Cluster details: metadata, member protein hashes, and representative SAE features.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
LCA (lowest common ancestor) taxonomy for a cluster.
Show child attributes
Show child attributes
Show child attributes
Show child attributes